Subject: New Reply Received - I have been waiting for my order for over 1 month and your company has failed twice to deliver on th...
From: Home Box <[email-masked]>
To: [email-masked]
Date: Fri, 23 Apr 2021 05:23:14 +0000

Hi Amir Aziz,  The customer has responded to the ticket.  I have been waiting for my order for over 1 month and your company has failed twice to deliver on th...  Ticket comment <div>Your message is the same excuse I was given for the 1st delivery cancellation, 1 month ago and I was given reassurances that this would not happen again... although some other items have already been delivered with no issues....</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2440290